olink.doctitle
Prev | Linking | Next

## Name

olink.doctitle — show the document title for external olinks?

## Synopsis

    <xsl:param name="olink.doctitle" select="0"></xsl:param>

## Description

When olinks between documents are resolved for print output, the generated text may not make it clear that the reference is to another document. It is possible for the stylesheets to append the other document's title to external olinks. For this to happen, two parameters must be set. The `olink.doctitle` parameter should be set to nonzero to enable this feature. And you should set the `current.docid` parameter to the document id for the document currently being processed for output. If an olink's `targetdoc` id differs from the `current.docid`, then the stylesheet can append the target document's title to the generated olink text.

Prev | Up | Next
current.docid | Home | link.mailto.url